import { Class, ClassReflection, FunctionReflection } from "./types";
declare function getMethodParameters(fn: Class, method: string): (string | {
    [key: string]: string[];
})[];
declare function getConstructorParameters(fn: Class): (string | {
    [key: string]: string[];
})[];
declare function getFunctionParameters(fn: Function): (string | {
    [key: string]: string[];
})[];
declare function getClassMembers(fun: Function): string[];
declare function parseFunction(fn: Function): FunctionReflection;
declare function parseClass(fn: Class): ClassReflection;
export { parseClass, parseFunction, getMethodParameters, getConstructorParameters, getFunctionParameters, getClassMembers };
